Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CardTemplate

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.CardTemplate

All Implemented Interfaces:
  Serializable

public class CardTemplate
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`CardTemplate()`

Method Summary
`CardTemplateItem[]` | `getCardTemplateItems()`
`String` | `getCardType()`
`String` | `getDescription()`
`String` | `getId()`
`Integer` | `getIdx()`
`String` | `getProviderID()`
`String` | `getProviderName()`
`void` | `setCardTemplateItems(CardTemplateItem[] cardTemplateItems)`
`void` | `setCardType(String cardType)`
`void` | `setDescription(String description)`
`void` | `setId(String id)`
`void` | `setIdx(Integer idx)`
`void` | `setProviderID(String providerID)`
`void` | `setProviderName(String providerName)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardTemplate

    public CardTemplate()

Method Detail

### getId

    public String getId()

  Returns:
    the id

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### getProviderID

    public String getProviderID()

  Returns:
    the providerID

### setProviderID

    public void setProviderID(String providerID)

  Parameters:
    `providerID` - the providerID to set

### getCardTemplateItems

    public CardTemplateItem[] getCardTemplateItems()

  Returns:
    the cardTemplateItems

### setCardTemplateItems

    public void setCardTemplateItems(CardTemplateItem[] cardTemplateItems)

  Parameters:
    `cardTemplateItems` - the cardTemplateItems to set

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

### getIdx

    public Integer getIdx()

  Returns:
    the idx

### setIdx

    public void setIdx(Integer idx)

  Parameters:
    `idx` - the idx to set

### getCardType

    public String getCardType()

  Returns:
    the cardType

### setCardType

    public void setCardType(String cardType)

  Parameters:
    `cardType` - the cardType to set

### getProviderName

    public String getProviderName()

  Returns:
    the providerName

### setProviderName

    public void setProviderName(String providerName)

  Parameters:
    `providerName` - the providerName to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD